package server.command;

import common.entity.Entity;
import common.util.BlockPos;
import common.util.Position;

public interface Executor {
	void log(String msg);
	Position getExecPos();
	void setExecPos(Position pos);

	default Entity getPointedEntity() {
		return null;
	}
	
	default BlockPos getPointedPosition() {
		return null;
	}
	
	default boolean isConsole() {
		return false;
	}
	
	default boolean isPlayer() {
		return false;
	}
	
	default void log(String fmt, Object ... args) {
		this.log(String.format(fmt, args));
	}
}
