package server.command.commands;

import java.util.List;

import common.entity.npc.EntityNPC;
import common.item.ItemStack;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandMore extends Command {
	public CommandMore() {
		super("more");
		
		this.setParamsOptional();
		this.addFlag("all", 'a');
		this.setParamsRequired();
		this.addPlayerEntityList("players", 'p', true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	private int addItems(ItemStack stack) {
		int diff = stack.getMaxStackSize() - stack.size;
        stack.size = stack.getMaxStackSize();
        return diff;
	}
	
	public void exec(CommandEnvironment env, Executor exec, boolean all, List<EntityNPC> players) {
		int done = 0;
		int added = 0;
		for(EntityNPC player : players) {
			int add = 0;
			if(all) {
				for(ItemStack item : player.inventory.mainInventory) {
					if(item != null)
						add += this.addItems(item);
				}
				for(ItemStack item : player.inventory.armorInventory) {
					if(item != null)
						add += this.addItems(item);
				}
			}
			else if(player.getHeldItem() != null) {
				add += this.addItems(player.getHeldItem());
			}
			if(add > 0) {
				exec.log("%d " + (add == 1 ? "Gegenstand" : "Gegenstände") + " wurde" + (add == 1 ? "" : "n") + " dem Inventar von %s hinzugefügt", add, player.getCommandName());
				done++;
			}
			added += add;
		}
		if(done > 1)
			exec.log("%d Gegenstände wurden dem Inventar von %d Spielern hinzugefügt", added, done);
	}
}
