package server.command.commands;

import java.util.List;

import common.color.TextColor;
import common.entity.npc.EntityNPC;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandNoclip extends Command {
	public CommandNoclip() {
		super("noclip");
		
		this.addPlayerEntityList("players", true, UserPolicy.NON_ADMINS_OR_SELF);
		this.setParamsOptional();
		this.addFlag("remove", 'r');
		this.addFlag("quiet", 'q');
	}
	
	public void exec(CommandEnvironment env, Executor exec, List<EntityNPC> players, boolean remove, boolean quiet) {
		int done = 0;
		remove = !remove && exec.isPlayer() && players.size() == 1 && players.get(0).connection == exec ? players.get(0).noclip : remove;
		for(EntityNPC player : players) {
			if(player.noclip == !remove)
				continue;
			player.setNoclip(!remove);
			if(!quiet)
				player.connection.addFeed((!remove ? TextColor.GREEN : TextColor.RED) + "NoClip wurde " + (!remove ? "eingeschaltet" : "ausgeschaltet"));
			if(quiet || player.connection != exec)
				exec.log("NoClip für %s " + (!remove ? "eingeschaltet" : "ausgeschaltet"), player.getCommandName());
			done++;
		}
		if(done > 1)
			exec.log("NoClip von %d Spielern " + (!remove ? "eingeschaltet" : "ausgeschaltet"), done);
	}
}
