package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.RunException;
import server.command.UserPolicy;
import server.network.Player;
import server.network.User;

public class CommandRevoke extends Command {
	public CommandRevoke() {
		super("revoke");
		
		this.addUser("user", false, UserPolicy.ADMINS);
	}
	
	public void exec(CommandEnvironment env, Executor exec, User user) {
		if(!exec.isConsole())
			throw new RunException("Dieser Befehl kann nur der Konsole ausgeführt werden");
		user.setAdmin(false);
		if(user.isOnline())
			((Player)user).log("Der Host hat deine Administatorrechte entfernt");
		exec.log("%s ist jetzt kein Admin mehr", user.getUser());
	}
}
