package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;
import server.network.Player;

public class CommandRunas extends Command {
	public CommandRunas() {
		super("~");
		
		this.addPlayer("player", false, UserPolicy.NON_ADMINS_NOT_SELF);
		this.addString("command", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, Player player, String command) {
		try {
			player.setForcedExec(exec);
			env.execute(command, player);
		}
		finally {
			player.setForcedExec(null);
		}
	}
}
