package server.command.commands;

import java.util.List;

import common.entity.Entity;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandRunat extends Command {
	public CommandRunat() {
		super("@");
		
		this.addEntityList("entities", false, UserPolicy.NON_ADMINS_NOT_SELF);
		this.addString("command", false);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, List<Entity> entities, String command) {
		int done = 0;
		for(Entity entity : entities) {
			if(entity.isEntityAlive()) {
				try {
					exec.setExecPos(entity.getPos());
					env.execute(command, exec);
				}
				finally {
					exec.setExecPos(null);
				}
				done++;
			}
		}
		if(done > 1)
			exec.log("Befehl bei %d Objekten ausgeführt", done);
		return done;
	}
}
