package server.command.commands;

import java.util.List;

import common.entity.Entity;
import common.init.UniverseRegistry;
import common.util.Position;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandTp extends Command {
	public CommandTp() {
		super("tp");
		
		this.addEntity("target", false, UserPolicy.NOT_SELF);
		
		this.addEntityList("entities", 'e', true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, Entity target, List<Entity> entities) {
		Position pos = target.getPos();
		for(Entity entity : entities) {
			entity.teleport(pos);
			exec.log("%s nach %d, %d, %d in %s teleportiert", entity.getCommandName(), (int)pos.x(), (int)pos.y(), (int)pos.z(), UniverseRegistry.getDimension(pos.dim()).getFormattedName(false));
		}
		return entities.size();
	}
}
