package server.vars;

import common.util.Var;
import common.vars.Vars;

public abstract class SVars extends Vars {
	@Var(name = "tickSpawning")
	public static boolean tickSpawn = true;
	@Var(name = "genSpawning")
	public static boolean genSpawn = true;
	@Var(name = "spawnVillagers")
	public static boolean spawnVillager = true;
	@Var(name = "spawnCagedVillagers")
	public static boolean spawnCageMobs = true;
	@Var(name = "spawnBridgeMages")
	public static boolean spawnBridgeMobs = true;
	@Var(name = "spawnMineshaftArachnoids")
	public static boolean spawnMineshaftMobs = true;
	@Var(name = "spawnStrongholdHaunters")
	public static boolean spawnStrongholdMobs = true;
	@Var(name = "spawnHutMages")
	public static boolean spawnHutMage = true;
	@Var(name = "daylightCycle")
	public static boolean dayCycle = true;
	@Var(name = "weatherChanges")
	public static boolean weather = true;
	@Var(name = "dropPlayerSkulls")
	public static boolean skullDrop = true;
	@Var(name = "checkRespawn")
	public static boolean checkBed = true;
	@Var(name = "registration")
	public static boolean register = true;
	@Var(name = "pubkeyAuthentication")
	public static boolean pubkeyAuth = true;
	@Var(name = "requireAccessPassword")
	public static boolean accessRequired = true;
	@Var(name = "encryption")
	public static boolean encrypt = true;
	@Var(name = "requireAuthentication")
	public static boolean authenticate = true;

	@Var(name = "snowStacking")
	public static boolean snowStack = false;
	@Var(name = "passwordAuthentication")
	public static boolean passwordAuth = false;

	@Var(name = "randomTickSpeed")
	public static int randomTick = 3;
	@Var(name = "weatherTickSpeed")
	public static int weatherTick = 1;
	@Var(name = "lightningChance")
	public static int boltChance = 100000;
	@Var(name = "igniteChance")
	public static int igniteChance = 100;
	@Var(name = "spawnRadius")
	public static int spawnRadius = 10;
	@Var(name = "originRadius", min = 0, max = 262144)
	public static int originRadius = 16384;
	@Var(name = "respawnTime")
	public static int respawnTime = 0;
	@Var(name = "spawnGroupCount")
	public static int spawnGroups = 3;
	@Var(name = "spawnGroupDistance")
	public static int spawnGroupDist = 6;
	@Var(name = "mobSpawnRadius")
	public static int mobSpawnDist = 8;
	@Var(name = "mobPlayerDistance")
	public static int mobPlayerDist = 24;
	@Var(name = "saveInterval")
	public static int saveInterval = 900;
	@Var(name = "maxPlayers")
	public static int playerLimit = 0;
	@Var(name = "compressAbove")
	public static int compression = 256;
	@Var(name = "timeFlow")
	public static int timeFlow = 1;
	@Var(name = "emptyTicks")
	public static int unloadTicks = 1200;
	@Var(name = "weatherChance")
	public static int weatherChance = 48000;
	@Var(name = "viewDistance", min = 2, max = 16)
	public static int distance = 8;
	@Var(name = "maxSpawns")
	public static int maxMobs = 120;
	@Var(name = "connectionTimeout", min = 10, max = 300)
	public static int timeout = 30;
	@Var(name = "passwordMinLength", min = 8, max = 32)
	public static int minPassLength = 8;
	@Var(name = "port", min = 1024, max = 32767, nonDefault = true)
	public static int port = -1;
	@Var(name = "spawnDungeonMobs")
	public static int spawnDungeonMobs = 4;

	@Var(name = "gravity")
	public static float gravity = 1.0f;

	@Var(name = "password", nonDefault = true)
	public static String password = "";
	@Var(name = "baseSeed", nonDefault = true)
	public static String seed = "";
}
